//
//  DummyView.swift
//  MinGraviditet
//
//  Created by Thomas Kalhøj Clemensen on 08/10/2020.
//

import UIKit
import SwiftUI
import TriforkSwiftExtensions

final class DummyView : BaseView {

    override func setupView() {
        let stackView = addVerticalStackToContentView()
        stackView.alignment = .center

//        let dummyLabel = UILabel(fontStyle: .demo2, text: "UIKit")
//        stackView.addArrangedSubview(dummyLabel)
//
//        let dummyLabel2 = UILabel(fontStyle: .demo3, text: "UIKit")
//        stackView.addArrangedSubview(dummyLabel2)

        if let parent = self.parentViewController {
            let swiftUiWrapper = SwiftUIWrapperView(swiftUiView: OnboardingView(), parentViewController: parent)
            stackView.addArrangedSubview(swiftUiWrapper)
            //swiftUiWrapper.heightAnchor.constraint(equalToConstant: 200).isActive = true
            swiftUiWrapper.widthAnchor.constraint(equalTo: stackView.widthAnchor).isActive = true
        }
    }
}
